Package org.eclipse.emf.cdo.ui.widgets

# Class SelectBranchComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.emf.cdo.ui.widgets.SelectBranchComposite

All Implemented Interfaces:
  `org.eclipse.net4j.util.ui.ValidationParticipant`, `Drawable`

@Deprecated public class SelectBranchComposite extends Composite implements org.eclipse.net4j.util.ui.ValidationParticipant
Deprecated.
As of 4.4 no longer supported.
UI widget that provides visualization of all available `branches`, and with the capability to select one.

Since:
  4.0
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`SelectBranchComposite(Composite parent, int style, CDOSession session, CDOBranch branch)`
Deprecated.
`SelectBranchComposite(Composite parent, int style, CDOSession session, CDOBranch branch, boolean withHistory)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(int eventType, Listener listener)`
Deprecated.
`protected void`
`branchChanged(CDOBranch newBranch)`
Deprecated.
`CDOBranch`
`getBranch()`
Deprecated.
`org.eclipse.net4j.util.ui.widgets.HistoryText`
`getBranchText()`
Deprecated.
`TreeViewer`
`getBranchViewer()`
Deprecated.
`CDOSession`
`getSession()`
Deprecated.
`org.eclipse.net4j.util.ui.ValidationContext`
`getValidationContext()`
Deprecated.
`void`
`rememberSettings()`
Deprecated.
`void`
`removeListener(int eventType, Listener listener)`
Deprecated.
`boolean`
`setFocus()`
Deprecated.
`void`
`setValidationContext(org.eclipse.net4j.util.ui.ValidationContext validationContext)`
Deprecated.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setAutoscalingMode, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addTypedListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeTypedListener, reskin, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### SelectBranchComposite

@Deprecated public SelectBranchComposite(Composite parent, int style, CDOSession session, CDOBranch branch)
Deprecated.

### SelectBranchComposite

@Deprecated public SelectBranchComposite(Composite parent, int style, CDOSession session, CDOBranch branch, boolean withHistory)
Deprecated.

Since:
  4.2

## Method Details

### setFocus

@Deprecated public boolean setFocus()
Deprecated.

Overrides:
  `setFocus` in class `Composite`

### getValidationContext

@Deprecated public org.eclipse.net4j.util.ui.ValidationContext getValidationContext()
Deprecated.

Specified by:
  `getValidationContext` in interface `org.eclipse.net4j.util.ui.ValidationParticipant`

### setValidationContext

@Deprecated public void setValidationContext(org.eclipse.net4j.util.ui.ValidationContext validationContext)
Deprecated.

Specified by:
  `setValidationContext` in interface `org.eclipse.net4j.util.ui.ValidationParticipant`

### getSession

@Deprecated public CDOSession getSession()
Deprecated.

### getBranch

@Deprecated public CDOBranch getBranch()
Deprecated.

### getBranchText

@Deprecated public org.eclipse.net4j.util.ui.widgets.HistoryText getBranchText()
Deprecated.

### getBranchViewer

@Deprecated public TreeViewer getBranchViewer()
Deprecated.

### rememberSettings

@Deprecated public void rememberSettings()
Deprecated.

### addListener

@Deprecated public void addListener(int eventType, Listener listener)
Deprecated.

Overrides:
  `addListener` in class `Widget`

### removeListener

@Deprecated public void removeListener(int eventType, Listener listener)
Deprecated.

Overrides:
  `removeListener` in class `Widget`

### branchChanged

@Deprecated protected void branchChanged(CDOBranch newBranch)
Deprecated.